# Changelog

All notable changes to the `log_hub` project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/), and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.1.0] - 2023-12-14

### Added
- Initial release of the `log_hub` Python package.
- Support for several Supply Chain Visualization, Network Design Optimization, and Transport Optimization services.
- Integration capabilities with the Log-hub API.
    - Features for Forward and Reverse Geocoding.
    - Forward and Reverse Distance Calculation functionalities.
    - Network Design Optimization tools including various Center of Gravity models.
    - Transport Optimization features including Milkrun Optimization and Transport Optimization Plus.
    - Shipment Analyzer for both forward and reverse directions.
- Comprehensive README file for installation, configuration, and usage instructions.
- Sample data and usage examples for key functionalities.
- Support for Python 3.10 and later.
- Virtual environment setup instructions for isolated development.
- MIT License for open and permissive software distribution.
- Secure API key handling for user authentication and data security.

### Fixed
- N/A (initial release).

### Deprecated
- N/A (initial release).

### Removed
- N/A (initial release).

### Security
- Initial implementation of security measures for API communication and data handling.
